콘텐츠로 건너뛰기

개요

디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.

이 참조는 API 엔드포인트를 2개의 엑솔라 제품용으로 결합합니다. 인게임 스토어페이 스테이션. 2개의 기준 URL이 있습니다.

  • https://store.xsolla.com/api일반, 카탈로그, 장바구니, 주문 그룹용입니다.
  • https://ps.xsolla.com알림 그룹용입니다.

카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.

장바구니주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.

주의

이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
작업
작업
작업
작업

요청

카탈로그 작성을 위한 번들 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템
입니다.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

번들 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_client_bundle)
items[].​attributesArray of objects(Catalog_client-attributes-common)

아이템에 해당하는 속성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

기본값 []
items[].​attributes[].​external_idstring(Catalog_admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유한 속성 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_1"
items[].​attributes[].​namestring

속성의 이름.

예제: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(Catalog_value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

속성의 고유 값 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_value"
items[].​attributes[].​values[].​valuestring

속성 값.

예제: "Strategy"
items[].​bundle_typestring(Catalog_bundle_type)

번들 유형입니다. 이 경우 항상 standart입니다.

예제: "standart"
items[].​contentArray of objects(Catalog_client_content)

번들 패키지 콘텐츠.

예제: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]
items[].​content[].​descriptionstring

아이템 설명.

예제: "Big Rocket - description"
items[].​content[].​image_urlstring

이미지 URL.

예제: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​namestring

아이템 이름.

예제: "Big Rocket"
items[].​content[].​priceobject or null

아이템 가격.

items[].​content[].​price.​amountstring

할인된 아이템 가격.

예제: "100.99"
items[].​content[].​price.​amount_without_discountstring

아이템 가격.

예제: "100.99"
items[].​content[].​price.​currencystring

기본 구매 통화입니다. ISO 4217에 따른 3자리 코드.

예제: "USD"
items[].​content[].​quantityinteger

패키지에 포함된 아이템의 수량.

예제: 250
items[].​content[].​skustring

고유 아이템 ID입니다. SKU는 소문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "big_rocket"
items[].​content[].​typestring

아이템 유형: virtual_good/virtual_currency/bundle.

예제: "virtual_currency"
items[].​content[].​virtual_pricesArray of objects

가상 가격.

items[].​content[].​virtual_prices[].​amountinteger

할인된 가상 화폐의 아이템 가격.

예제: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

아이템 가격.

예제: 200
items[].​content[].​virtual_prices[].​descriptionstring

가상 화폐 설명.

예제: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

가상 화폐의 이미지.

예제: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

가격이 아이템의 기본값인지 여부입니다.

예제: true
items[].​content[].​virtual_prices[].​namestring

가상 화폐 이름.

예제: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

가상 화폐 아이템 SKU.

예제: "vc_test"
items[].​content[].​virtual_prices[].​typestring

가상 화폐 유형.

예제: "virtual_currency"
items[].​descriptionstring or null(Catalog_client_description)

아이템 설명.

예제: "Big Rocket - description."
items[].​groupsArray of objects(Catalog_groups_response)

아이템이 속한 그룹.

기본값 []
예제: [{"external_id":"horror","name":{"en":"Horror"}}]
items[].​groups[].​external_idstring
예제: "horror"
items[].​groups[].​nameobject
예제: {"en":"Horror"}
items[].​image_urlstring or null(Catalog_image_url)

이미지 URL.

예제: "https://image.example.com"
items[].​is_freestring(Catalog_is_free)

항상 false입니다.

기본값 "false"
예제: "false"
items[].​namestring(Catalog_client_name)

아이템 이름.

예제: "Big Rocket"
items[].​priceobject or null(Catalog_price)

아이템 가격.

items[].​price.​amountstring(Catalog_amount)^\d*\.?\d*$필수

할인된 아이템 가격.

예제: "100.99"
items[].​price.​amount_without_discountstring(Catalog_amount_without_discount)^\d*\.?\d*$필수

아이템 가격.

예제: "100.99"
items[].​price.​currencystring(Catalog_currency)필수

구매 통화. ISO 4217에 따른 3자리 코드.

예제: "USD"
items[].​skustring(Catalog_sku)

고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "bundle_1"
items[].​total_content_priceobject or null(Catalog_total_content_price)

번들 콘텐츠 가격의 합계.

items[].​total_content_price.​amountstring

할인된 번들 콘텐츠 가격의 합계.

예제: "100.99"
items[].​total_content_price.​amount_without_discountstring

번들 콘텐츠 가격의 합계.

예제: "100.99"
items[].​total_content_price.​currencystring(Catalog_currency)

구매 통화. ISO 4217에 따른 3자리 코드.

예제: "USD"
items[].​typestring(Catalog_type)

아이템 유형.

예제: "bundle"
items[].​virtual_pricesArray of objects(Catalog_virtual_prices)

가상 가격.

items[].​virtual_prices[].​amountinteger

할인된 가상 화폐의 아이템 가격.

예제: 100
items[].​virtual_prices[].​amount_without_discountinteger

가상 화폐로 표시된 아이템 가격.

예제: 200
items[].​virtual_prices[].​descriptionstring or null

가상 화폐 설명.

예제: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

가상 화폐의 이미지.

예제: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

가격이 아이템의 기본값인지 여부입니다.

예제: true
items[].​virtual_prices[].​namestring

가상 화폐 이름.

예제: "Gold"
items[].​virtual_prices[].​skustring

가상 화폐 아이템 SKU.

예제: "gold"
items[].​virtual_prices[].​typestring

가상 화폐 유형.

예제: "virtual_currency"
응답
application/json
{ "items": [ {} ] }

요청

지정된 번들을 가져옵니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
skustring필수

번들 SKU.

예제: kg_1
curl -i -X GET \
  https://store.xsolla.com/api/v2/project/44056/items/bundle/sku/kg_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

지정 번들이 성공적으로 수신되었습니다.

본문application/json
attributesArray of objects(Catalog_client-attributes-common)

아이템에 해당하는 속성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

기본값 []
attributes[].​external_idstring(Catalog_admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유한 속성 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_1"
attributes[].​namestring

속성의 이름.

예제: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(Catalog_value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

속성의 고유 값 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_value"
attributes[].​values[].​valuestring

속성 값.

예제: "Strategy"
bundle_typestring(Catalog_bundle_type)

번들 유형입니다. 이 경우 항상 standart입니다.

예제: "standart"
contentArray of objects(Catalog_client_content)

번들 패키지 콘텐츠.

예제: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]
content[].​descriptionstring

아이템 설명.

예제: "Big Rocket - description"
content[].​image_urlstring

이미지 URL.

예제: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
content[].​namestring

아이템 이름.

예제: "Big Rocket"
content[].​priceobject or null

아이템 가격.

content[].​price.​amountstring

할인된 아이템 가격.

예제: "100.99"
content[].​price.​amount_without_discountstring

아이템 가격.

예제: "100.99"
content[].​price.​currencystring

기본 구매 통화입니다. ISO 4217에 따른 3자리 코드.

예제: "USD"
content[].​quantityinteger

패키지에 포함된 아이템의 수량.

예제: 250
content[].​skustring

고유 아이템 ID입니다. SKU는 소문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "big_rocket"
content[].​typestring

아이템 유형: virtual_good/virtual_currency/bundle.

예제: "virtual_currency"
content[].​virtual_pricesArray of objects

가상 가격.

content[].​virtual_prices[].​amountinteger

할인된 가상 화폐의 아이템 가격.

예제: 100
content[].​virtual_prices[].​amount_without_discountinteger

아이템 가격.

예제: 200
content[].​virtual_prices[].​descriptionstring

가상 화폐 설명.

예제: "Big Rocket - description"
content[].​virtual_prices[].​image_urlstring

가상 화폐의 이미지.

예제: "http://image.png"
content[].​virtual_prices[].​is_defaultboolean

가격이 아이템의 기본값인지 여부입니다.

예제: true
content[].​virtual_prices[].​namestring

가상 화폐 이름.

예제: "SHOTGUN FOR TRUE RAIDERS"
content[].​virtual_prices[].​skustring

가상 화폐 아이템 SKU.

예제: "vc_test"
content[].​virtual_prices[].​typestring

가상 화폐 유형.

예제: "virtual_currency"
descriptionstring or null(Catalog_client_description)

아이템 설명.

예제: "Big Rocket - description."
groupsArray of objects(Catalog_groups_response)

아이템이 속한 그룹.

기본값 []
예제: [{"external_id":"horror","name":{"en":"Horror"}}]
groups[].​external_idstring
예제: "horror"
groups[].​nameobject
예제: {"en":"Horror"}
image_urlstring or null(Catalog_image_url)

이미지 URL.

예제: "https://image.example.com"
is_freestring(Catalog_is_free)

항상 false입니다.

기본값 "false"
예제: "false"
namestring(Catalog_client_name)

아이템 이름.

예제: "Big Rocket"
priceobject or null(Catalog_price)

아이템 가격.

price.​amountstring(Catalog_amount)^\d*\.?\d*$필수

할인된 아이템 가격.

예제: "100.99"
price.​amount_without_discountstring(Catalog_amount_without_discount)^\d*\.?\d*$필수

아이템 가격.

예제: "100.99"
price.​currencystring(Catalog_currency)필수

구매 통화. ISO 4217에 따른 3자리 코드.

예제: "USD"
skustring(Catalog_sku)

고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "bundle_1"
total_content_priceobject or null(Catalog_total_content_price)

번들 콘텐츠 가격의 합계.

total_content_price.​amountstring

할인된 번들 콘텐츠 가격의 합계.

예제: "100.99"
total_content_price.​amount_without_discountstring

번들 콘텐츠 가격의 합계.

예제: "100.99"
total_content_price.​currencystring(Catalog_currency)

구매 통화. ISO 4217에 따른 3자리 코드.

예제: "USD"
typestring(Catalog_type)

아이템 유형.

예제: "bundle"
virtual_pricesArray of objects(Catalog_virtual_prices)

가상 가격.

virtual_prices[].​amountinteger

할인된 가상 화폐의 아이템 가격.

예제: 100
virtual_prices[].​amount_without_discountinteger

가상 화폐로 표시된 아이템 가격.

예제: 200
virtual_prices[].​descriptionstring or null

가상 화폐 설명.

예제: "Most popular gold"
virtual_prices[].​image_urlstring or null

가상 화폐의 이미지.

예제: "http://image.png"
virtual_prices[].​is_defaultboolean

가격이 아이템의 기본값인지 여부입니다.

예제: true
virtual_prices[].​namestring

가상 화폐 이름.

예제: "Gold"
virtual_prices[].​skustring

가상 화폐 아이템 SKU.

예제: "gold"
virtual_prices[].​typestring

가상 화폐 유형.

예제: "virtual_currency"
응답
application/json
{ "attributes": [], "bundle_type": "standard", "content": [ {} ], "description": "pricePoint_44056_1.", "groups": [], "is_free": false, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "price": { "amount": 9.99, "amount_without_discount": 9.99, "currency": "USD" }, "sku": "kg_1", "total_content_amount": { "amount": 10.99, "amount_without_discount": 10.99, "currency": "USD" }, "type": "bundle", "virtual_prices": [] }
작업
작업
작업